Overview
POST/auth/methodsauth

Create an auth method setting (admin)

Create a record in methods.

Auth: bearerAuth — calls run as the authenticated user.

Request body

application/json · optional

  • methodstring
  • enabledoptionalboolean
Example
{
  "method": "string",
  "enabled": true
}
Responses
201

created setting

  • methodstring
  • enabledboolean
Example
{
  "method": "string",
  "enabled": true
}
400

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
403

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
409

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/auth/methods" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "method": "string",
  "enabled": true
}'
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/auth/methods", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: "{\n  \"method\": \"string\",\n  \"enabled\": true\n}",
});
const data = await res.json();